##### 7.5.1.0. bistd

Procedure from library `bimodules.lib` (see bimodules_lib).

Usage:
  bistd(M); M is (two-sided) ideal/module

Return:
  ideal or module (same type as the argument)

Purpose:
  Computes the two-sided Groebner basis of an ideal/module with the help the enveloping algebra of the basering, alternative to twostd() for ideals.

Example:

    LIB "bimodules.lib";
    ring w = 0,(x,s),Dp;
    def W=nc_algebra(1,s); // 1st shift algebra
    setring W;
    matrix m[3][3]=[s^2,s+1,0],[s+1,0,s^3-x^2*s],[2*s+1, s^3+s^2, s^2];
    print(m);
    ==> s2,   s+1,    s+1,
    ==> 0,    -x2s+s3,2s+1,
    ==> s3+s2,s2,     0
    module L = m; module M2 = bistd(L);
    print(M2);
    ==> 1,1,s+1,
    ==> 0,1,0,
    ==> 0,0,s2

User manual for Singular version 4.4.1, 2025, generated by texi2html.